#ifndef landsimmainH
#define landsimmainH

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <vector.h>

#include "world.h"


class Tmainform : public TForm
{
__published:	// IDE-managed Components
    TTimer *Timer1;
    TStatusBar *status;
    TPaintBox *drawarea;

    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall FormKeyUp(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall Timer1Timer(TObject *Sender);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall drawareaPaint(TObject *Sender);
    void __fastcall check_keys(void);
    void __fastcall drawareaMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);

private:	// User declarations

    void __fastcall draw_screen( void );

    __fastcall Tmainform(TComponent* Owner);

public:		// User declarations
    bool keys[256];     // true for each key values of that key os pressed
    world_class world;
};


extern PACKAGE Tmainform *mainform;

void debug(AnsiString s);

#endif
